using System;

internal sealed class Delegate718 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate718 delegate718_1)
	{
		delegate718_1(object_0);
	}

	public extern Delegate718(object object_0, IntPtr intptr_0);

	static Delegate718()
	{
		Class10.smethod_13(typeof(Delegate718).TypeHandle);
	}

	internal static Delegate718 delegate718_0;
}
